List audiences
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers/{accountId}/audiences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{accountId}/audiences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{accountId}/audiences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"audiences": [
{
"audienceId": "<string>",
"name": "<string>",
"accountId": "25",
"status": "PROCESSING",
"deleted": true,
"uploadedCount": 123,
"matchedCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"total": 123,
"take": 123,
"skip": 123
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
List audiences
List stored audience metadata for an account.
GET
/
advertisers
/
{accountId}
/
audiences
List audiences
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers/{accountId}/audiences \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{accountId}/audiences"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{accountId}/audiences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"audiences": [
{
"audienceId": "<string>",
"name": "<string>",
"accountId": "25",
"status": "PROCESSING",
"deleted": true,
"uploadedCount": 123,
"matchedCount": 123,
"createdAt": "<string>",
"updatedAt": "<string>"
}
],
"total": 123,
"take": 123,
"skip": 123
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
Number of results to return (max 250)
Required range:
0 < x <= 250Example:
50
Number of results to skip for pagination
Required range:
0 <= x <= 9007199254740991Example:
0